import { CellMask, CellMaskOptions, GC, OnesTable, SheetRange } from '../../../../@ones-table/common';
import './mask.scss';
export declare class OnesTableCellMask implements CellMask {
    private table;
    options: CellMaskOptions;
    sheetName: string;
    row: number;
    col: number;
    rowCount: number;
    colCount: number;
    constructor(table: OnesTable, options: CellMaskOptions);
    getCellRect(sheet: GC.Spread.Sheets.Worksheet, highlightRange: SheetRange): DOMRect | null;
    moveToCell(sheetName: string, row: number, col: number, rowCount?: number, colCount?: number): void;
    updateLayout(): void;
    setVisible(visible: boolean): void;
    setHover(hover: boolean): void;
    setActive(active: boolean): void;
    setEditing(editing: boolean): void;
    isVisible(): boolean;
    isHover(): boolean;
    isActive(): boolean;
    isEditing(): boolean;
    private layoutElement;
    private getContainer;
    getElement(): HTMLElement;
    private getTopLeftBorderSize;
    getClientRect(): DOMRect;
    destroy(): void;
}
